#include<bits/stdc++.h>
using namespace std;
long long niz[2000000];
long long niz1[2000000];
int main ()
{
	long long n, i=0, j=0;
	cin>>n;
	string a;
	cin>>a;
	while(i<26)
	{
		while(j<n)
		{
			if(j>0)niz[j]=niz[j-1];
			if(i==0 && a[j]=='A')niz[j]++;
			else if(a[j]=='A'+i)niz[j]=niz[j]+niz1[j];
			j++;
		}
		j=0;
		while(j<n)niz1[j]=niz[j], niz[j]=0, j++;
		j=0;i++;
	}
	i=0;
	cout<<niz1[n-1]%(1000000007);
	return 0;
}